#include <stdio.h>

/*
 * Makro zum Ueberpruefen von Zusicherungen
 *
 * __FILE__ wird ersetzt durch Name der Quelltextdatei (vordef. Makro)
 * __LINE__ wird ersetzt durch Nummer der Zeile (vordef. Makro)
 * "\" direkt vor dem Newline erlaubt mehrzeilige Makros
 * #cond bewirkt, das der Parameter cond mit Anfuehrungzeichen (also String)
 *   quotiert eingefuegt wird.
 */

#define ASSERT(cond) \
	    if (!(cond)) \
		fprintf(stderr, "%s (%d): assertion '%s' failed\n", \
		    __FILE__, __LINE__, #cond);

int main() {
    int a = 3;
    ASSERT(a < 0)
    return 0;
}
