#include <stdio.h>

void work() {
    /*
     * Lokale Variablen leben normalerweise nur solange,
     * wie der aktuelle Funktionsaufruf aktiv ist. Danach
     * verschwinden sie wieder. Bei jedem Aufruf werden sie
     * neu angelegt und wieder neu initialisiert.
     *
     * Dies aendert sich jedoch, wenn man static davor schreibt.
     * Dann werden sie nur noch _ein_ einziges Mal angelegt und
     * leben bis zum Ende des Programms. Folglich werden sie auch
     * nur einmal (naemlich beim Anlegen) initialisiert. Danach
     * findet bei den Funktionsaufrufen keine Initialisierung
     * mehr statt!
     */

    /* static */ int lokal = 0;
    printf("lokal = %d\n", lokal++);
}

int main() {
    int i;
    for (i = 0; i < 10; i++)
	work();
    return 0;
}
